## org.apache.mahout.cf.taste.web
Class RecommenderSingleton

    java.lang.Object
      org.apache.mahout.cf.taste.web.RecommenderSingleton

    public final class RecommenderSingleton

extends Object

A singleton which holds an instance of a `Recommender`. This is used to share a `Recommender` between `RecommenderServlet` and `RecommenderService.jws`.

Method Summary
`static RecommenderSingleton` `getInstance()`
`Recommender` `getRecommender()`
`static void` `initializeIfNeeded(String recommenderClassName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static RecommenderSingleton getInstance()

### initializeIfNeeded

    public static void initializeIfNeeded(String recommenderClassName)

### getRecommender

    public Recommender getRecommender()

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.